import { IIdentity } from '@essential-projects/iam_contracts';
import { ExternalTask, IExternalTaskApi, IExternalTaskApiAccessor } from '@process-engine/external_task_api_contracts';
export declare class ExternalTaskApiClientService implements IExternalTaskApi {
    private readonly _externalApiAccessor;
    constructor(externalApiAccessor: IExternalTaskApiAccessor);
    fetchAndLockExternalTasks<TPayloadType>(identity: IIdentity, workerId: string, topicName: string, maxTasks: number, longPollingTimeout: number, lockDuration: number): Promise<Array<ExternalTask<TPayloadType>>>;
    extendLock(identity: IIdentity, workerId: string, externalTaskId: string, additionalDuration: number): Promise<void>;
    handleBpmnError(identity: IIdentity, workerId: string, externalTaskId: string, errorCode: string): Promise<void>;
    handleServiceError(identity: IIdentity, workerId: string, externalTaskId: string, errorMessage: string, errorDetails: string): Promise<void>;
    finishExternalTask<TResultType>(identity: IIdentity, workerId: string, externalTaskId: string, payload: TResultType): Promise<void>;
}
